package com.tv.adsdkdemo.Activity;

import android.app.Activity;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.util.Log;
import com.dangbei.euthenia.manager.DangbeiAdManager;
import com.dangbei.euthenia.manager.OnAdDisplayListener;
import com.dangbei.euthenia.manager.OnAdDisplayListenerAdapter;
import com.dangbei.euthenia.ui.IAdContainer;

/**
 * 创建人：zxh
 * 创建时间：2017/6/7 下午1:11
 * 屏保广告
 */
public class ScreenSaverAdActivity extends Activity {
    public static final String TAG = ScreenSaverAdActivity.class.getSimpleName();

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        IAdContainer adContainer = DangbeiAdManager.getInstance()
                .createScreenSaverAdContainer(this);
        adContainer.setOnAdDisplayListener(new OnAdDisplayListener() {

            @Override
            public void onDisplaying() {
                Log.e(TAG, "onDisplaying");

            }

            @Override
            public void onFailed(Throwable throwable) {
                Log.e(TAG, "onFailed:" + throwable.toString());

            }

            @Override
            public void onFinished() {
                Log.e(TAG, "onFinished");


            }

            @Override
            public void onClosed() {
                Log.e(TAG, "onClosed");


            }

            @Override
            public void onTerminated() {
                Log.e(TAG, "onTerminated");


            }

            @Override
            public void onSkipped() {
                Log.e(TAG, "onSkipped");

            }

            @Override
            public void onTriggered() {
                Log.e(TAG, "onTriggered");


            }
        });
        adContainer.open();

    }
}
