package com.tv.adsdkdemo;

import android.view.KeyEvent;
import com.dangbei.euthenia.ui.IAdContainer;

/**
 * 创建人：zxh
 * 创建时间：2017/7/27 下午4:40
 */
public class EutheniaUtil {

    private static final String TAG = EutheniaUtil.class.getSimpleName();

    /**
     * 闪屏广告事件拦截判断
     */
    public static boolean isSplashAdDispatchEventToAd(IAdContainer adContainer) {
        // TODO: 2017/7/27 zxh 校验version
        return true;
    }

    /**
     * 屏保广告事件拦截判断
     */
    public static boolean isScreenAdDispatchEventToAd(IAdContainer adContainer) {
        return true;
    }

    /**
     * 视频角标广告拦截判断
     */
    public static boolean isVideoFloatAdDispatchEventToAd(IAdContainer adContainer) {
        return false;
    }

    /**
     * 视频暂停广告拦截判断
     */
    public static boolean isVideoPauseAdDispatchEventToAd(IAdContainer adContainer) {
        return false;
    }

    /**
     * 视频贴片广告拦截判断
     */
    public static boolean isVideoPrAdDispatchEventToAd(IAdContainer adContainer, boolean isFullScreen, KeyEvent event) {
        try {
//            int action = event.getAction();
            int keyCode = event.getKeyCode();
            if ((adContainer.isDisplaying() || adContainer.isBeforeDisplaying()) && isFullScreen) {
                if (keyCode == KeyEvent.KEYCODE_BACK) {
                    return false;
                }
                return true;
            } else {
                return false;
            }

        } catch (Throwable e) {
            e.printStackTrace();
        }
        return false;
    }

    /**
     *
     * @param adContainer
     * @return
     */
    public static boolean attachedAd(IAdContainer adContainer) {
        return null != adContainer && (adContainer.isDisplaying() || adContainer.isBeforeDisplaying());
    }

    public static void resizeAd(IAdContainer adContainer) {
        if (attachedAd(adContainer)) {
            adContainer.resize();
        }
    }


}
