package com.tv.adsdkdemo.Activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.util.Log;
import com.dangbei.euthenia.manager.DangbeiAdManager;
import com.dangbei.euthenia.manager.OnAdDisplayListener;
import com.dangbei.euthenia.manager.OnAdDisplayListenerAdapter;
import com.dangbei.euthenia.ui.IAdContainer;

/**
 * 应用启动闪屏广告
 */
public class SplashAdActivity extends Activity {

    private static final String TAG = SplashAdActivity.class.getSimpleName();

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        IAdContainer adContainer = DangbeiAdManager.getInstance().createSplashAdContainer(this);
        adContainer.setOnAdDisplayListener(new OnAdDisplayListener() {
            @Override
            public void onDisplaying() {
                Log.e(TAG, "onDisplaying");

            }

            @Override
            public void onFailed(Throwable throwable) {
                Log.e(TAG, "onFailed:" + throwable.toString());

            }

            @Override
            public void onFinished() {
                Log.e(TAG, "onFinished");


            }

            @Override
            public void onClosed() {
                Log.e(TAG, "onClosed");


            }

            @Override
            public void onTerminated() {
                Log.e(TAG, "onTerminated");


            }

            @Override
            public void onSkipped() {
                Log.e(TAG, "onSkipped");

            }

            @Override
            public void onTriggered() {
                Log.e(TAG, "onTriggered");


            }
        });
        adContainer.open();

    }

}
